{ pkgs, ... }:

{
  # TODO 
  # scrappy script that requires dhyan be cloned to /home/anish/usr/dhyan
  # dhyan needs secrets, and internet access to install dependencies, havent figured that out with nix yet
  # dhyan also depends on jdk11, but that's only to install dependencies, run `bb -m dhyan.main` once before installing this script
  # If you've updated dhyan, you'll want to cd to /home/anish/usr/dhyan and run git pull
  systemd.services.dhyan = {
    serviceConfig.Type = "oneshot";
    path = [
      pkgs.babashka
      pkgs.git
      pkgs.jdk11
      pkgs.curl
    ];
    startAt = "*08:00:00";
    script = ''
      source .envrc
      bb -m dhyan.main
    '';
    serviceConfig = {
      User = "anish";
      WorkingDirectory = "/home/anish/usr/dhyan";
      Environment = "/home/anish/usr/.envrc";
    };
  };
  systemd.timers.dhyan = {
    wantedBy = [ "timers.target" ];
    partOf = [ "dhyan.service" ];
    timerConfig.OnCalendar = [ "08:00:00" ];
  };
}
