{ config, lib, pkgs, ... }:
{
  services.gonic.enable = true;
  services.gonic.settings = ''
    music-path /mnt/two/music/
    podcast-path /data/podcasts
    cache-path /data/cache
  '';
  services.gonic.group = "audio";
  services.gonic.user = "headphones";
  networking.firewall.allowedTCPPorts = [ 4747 ];
}
